[Bug 257128] devel/libuv: Update to 1.41.1

From: <bugzilla-noreply_at_freebsd.org>
Date: Mon, 12 Jul 2021 08:05:49 +0000
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=257128

            Bug ID: 257128
           Summary: devel/libuv: Update to 1.41.1
           Product: Ports & Packages
           Version: Latest
          Hardware: Any
               URL: https://github.com/libuv/libuv/releases/tag/v1.41.1
                OS: Any
            Status: New
          Severity: Affects Only Me
          Priority: ---
         Component: Individual Port(s)
          Assignee: bhughes_at_freebsd.org
          Reporter: daniel.engberg.lists_at_pyret.net
          Assignee: bhughes_at_freebsd.org
             Flags: maintainer-feedback?(bhughes_at_freebsd.org)

Created attachment 226385
  --> https://bugs.freebsd.org/bugzilla/attachment.cgi?id=226385&action=edit
Patch for libuv

Update libuv 1.41.1 to fix CVE-2021-22918

Reference:
https://nodejs.org/en/blog/vulnerability/july-2021-security-releases/

Compile tested on FreeBSD FreeBSD 13.0-STABLE #0 stable/13-n246086-a20c597c6d7
(amd64) (make, make check-plist)
Poudriere testport OK 12.2-RELEASE (amd64)
Poudriere testport OK 11.4-RELEASE (amd64)

-- 
You are receiving this mail because:
You are the assignee for the bug.
Received on Mon Jul 12 2021 - 08:05:49 UTC

Original text of this message